Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.das
Class DataAccessServiceFactory

    java.lang.Object
      com.bea.dsp.das.DataAccessServiceFactory

    public class DataAccessServiceFactory

extends java.lang.Object

Factory class for creating local interfaces to data services. This factory class can be used to create data services and prepared statements for ad hoc queries.

Example:
`Hashtable h = new Hashtable();
h.put(Context.INITIAL_CONTEXT_FACTORY, "weblogic.jndi.WLInitialContextFactory");
h.put(Context.PROVIDER_URL,"t3://localhost:7001");
h.put(Context.SECURITY_PRINCIPAL,"weblogic");
h.put(Context.SECURITY_CREDENTIALS,"weblogic");
InitialContext ctx= new InitialContext(h);
DataAccessService das = DataAccessServiceFactory.newDataAccessService(ctx,"dataspacename","ld:MyDSes/CUSTOMER");
`

Method Summary
`static DataAccessService` | `newDataAccessService(javax.naming.Context context, java.lang.String wsdlUrl)` Deprecated. Please use the factory method that accepts Hashtable as parameter
`static DataAccessService` | `newDataAccessService(javax.naming.Context context, java.lang.String wsdlUrl, boolean loadSchemas)` Deprecated. Please use the factory method that accepts Hashtable as parameter
`static DataAccessService` | `newDataAccessService(javax.naming.Context context, java.lang.String dataspace, java.lang.String dsname)` Factory method to create a data access service instance.
`static DataAccessService` | `newDataAccessService(javax.naming.Context context, java.lang.String dataspace, java.lang.String dsname, boolean loadSchemas)` Factory method to create a data access service instance.
`static DataAccessService` | `newDataAccessService(java.util.Hashtable properties, java.lang.String wsdlUrl)` Factory method to create a data access service instance.
`static DataAccessService` | `newDataAccessService(java.util.Hashtable properties, java.lang.String wsdlUrl, boolean loadSchemas)` Factory method to create a data access service instance.
`static PreparedExpression` | `prepareExpression(javax.naming.Context context, java.lang.String dataspace, java.lang.String xquery)` Used to create a prepared expression, which is an ad hoc XQuery that can be executed against ALDSP dataspace information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newDataAccessService

    public static DataAccessService newDataAccessService(javax.naming.Context context,
                                                         java.lang.String dataspace,
                                                         java.lang.String dsname)
                                                  throws DASException

  Factory method to create a data access service instance. Returns a proxy for the given dataspace and Data Service URI passed. All relevant schemas for the data service will be downloaded from the ALDSP server into the SDO HelperContext.

  Parameters:
    `context` - The WebLogic Server context
    `dataspace` - The ALDSP dataspace name
    `dsname` - The data service URI
  Returns:
    DataAccessService A data service
  Throws:
    `DASException`

### newDataAccessService

    public static DataAccessService newDataAccessService(javax.naming.Context context,
                                                         java.lang.String dataspace,
                                                         java.lang.String dsname,
                                                         boolean loadSchemas)
                                                  throws DASException

  Factory method to create a data access service instance. Returns a proxy for the given application and Data Service URI passed. Optionally does not attempt to download any schemas.

  Parameters:
    `context` - The WebLogic Server context
    `dataspace` - The ALDSP dataspace name
    `dsname` - The data service URI
    `loadSchemas` - If true, will download all schemas relevant for this DataAccessService into the SDO HelperContext from the ALDSP server. If false, no schemas will be downloaded; it is then the user's responsibility to ensure that the schemas are loaded.
  Returns:
    DataAccessService A data access service.
  Throws:
    `DASException`

### newDataAccessService

    public static DataAccessService newDataAccessService(javax.naming.Context context,
                                                         java.lang.String wsdlUrl)
                                                  throws DASException

  Deprecated. Please use the factory method that accepts Hashtable as parameter

  Factory method to create a data access service instance. Returns a proxy for the given context and wsdlurl. All relevant schemas for the data service will be loaded from the WSDL into the SDO HelperContext.

  Parameters:
    `context` - The WebLogic Server Context
    `wsdlUrl` - The WSDL URL
  Returns:
    DataAccessService A data access service
  Throws:
    `DASException`

### newDataAccessService

    public static DataAccessService newDataAccessService(javax.naming.Context context,
                                                         java.lang.String wsdlUrl,
                                                         boolean loadSchemas)
                                                  throws DASException

  Deprecated. Please use the factory method that accepts Hashtable as parameter

  Factory method to create a data access service instance. Returns a proxy for the given context and wsdlurl.

  Parameters:
    `context` - The WebLogic Server Context
    `wsdlUrl` - The WSDL URL
    `loadSchemas` - If true, will load all schemas referenced by the WSDL into the SDO HelperContext for this DataAccessService. If false, no schemas will be loaded; it is then the user's responsibility to ensure that the schemas are loaded.
  Returns:
    DataAccessService A data access service
  Throws:
    `DASException`

### newDataAccessService

    public static DataAccessService newDataAccessService(java.util.Hashtable properties,
                                                         java.lang.String wsdlUrl)
                                                  throws DASException

  Factory method to create a data access service instance. Returns a proxy for the given context and wsdlurl. All relevant schemas for the data service will be loaded from the WSDL into the SDO HelperContext.

  Parameters:
    `properties` - SOAP message context properties
    `wsdlUrl` - The WSDL URL
  Returns:
    DataAccessService A data access service
  Throws:
    `DASException`

### newDataAccessService

    public static DataAccessService newDataAccessService(java.util.Hashtable properties,
                                                         java.lang.String wsdlUrl,
                                                         boolean loadSchemas)
                                                  throws DASException

  Factory method to create a data access service instance. Returns a proxy for the given context and wsdlurl.

  Parameters:
    `properties` - SOAP message context properties
    `wsdlUrl` - The WSDL URL
    `loadSchemas` - If true, will load all schemas referenced by the WSDL into the SDO HelperContext for this DataAccessService. If false, no schemas will be loaded; it is then the user's responsibility to ensure that the schemas are loaded.
  Returns:
    DataAccessService A data access service
  Throws:
    `DASException`

### prepareExpression

    public static PreparedExpression prepareExpression(javax.naming.Context context,
                                                       java.lang.String dataspace,
                                                       java.lang.String xquery)
                                                throws DASException

  Used to create a prepared expression, which is an ad hoc XQuery that can be executed against ALDSP dataspace information.

  Parameters:
    `context` - The WebLogic Server context
    `dataspace` - The dataspace name
    `xquery` - The XQuery to be executed
  Returns:
    a PreparedExpression
  Throws:
    `DASException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.